<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme_Palace
 * @subpackage TP_Philosophy_Pro
 * @since 1.0
 */
	get_header(); 

	$options = tp_philosophy_pro_get_theme_options();
	
	$class= '';
	if ( 'list' != $options['archive_layout'] ){
        $class = 'col-3';
    }

	?>

	<div class="wrapper page-section">
        <div id="primary" class="content-area <?php echo esc_attr( $class ); ?>">
          	<main id="main" class="site-main blog-text" role="main">
          		<?php 
      			if ( 'grid' == $options['archive_layout'] ){
            		echo '<div class="row" id="infinite-scroll">';
      		    }
          		?>

					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;

      			if ( 'grid' == $options['archive_layout'] ){
					echo '</div><!-- .row -->';
				}

				/**
				* Hook - tp_philosophy_pro_action_pagination.
				*
				* @hooked tp_philosophy_pro_pagination 
				*/
				do_action( 'tp_philosophy_pro_action_pagination' ); 
				?>

			</main><!-- #main -->
		</div><!-- #primary -->
		<?php 
			if ( tp_philosophy_pro_is_sidebar_enable() ) {
				get_sidebar();
			}
		?>
	</div><!-- .page-section -->

<?php
	get_footer();
